<!--<app-editor-review [author_view]="true"> </app-editor-review>-->

<div class="container">
  <h2>Editor Review</h2>
  <div *ngIf="editorReview$ | async as editorReview">
    <div class="row">
      <div class="col-9"><h3>My request for publication on: {{editorReview.publication['artefact'].object.name}}</h3></div>
      <div class="col-3"><h3>Status:{{getStatusKey(status)}}</h3></div>
    </div>
<!--    <div class="row">-->
<!--      <div *ngIf="author" clas="col-9"><h3>by: {{getUserString(editorReview.user)}} </h3></div>-->
<!--    </div>-->
    <div class="mb-3">
      <label for="formControlEditor" class="form-label">Editor</label>
      <input [ngModel]="getUserString(editorReview.user)" type="string" readonly=true class="form-control" id="formControlEditor">
    </div>
    <div class="mb-3">
      <label for="formControlUser" class="form-label">Author</label>
      <input [ngModel]="getUserString(author)" type="string" readonly=true class="form-control" id="formControlUser">
    </div>
    <div class="mb-3">
      <label for="formControlArtefactSnapshot" class="form-label">Artefact to review</label>
      <a [href]="editorReview.artefact_snapshot" target="_blank" class="form-control"
         id="formControlArtefactSnapshot">{{editorReview.publication['artefact'].object.name}}</a>
    </div>

    <div class="mb-3">
      <label for="formControlDate" class="form-label">Document date</label>
      <input ngModel="{{editorReview.publication['modified'] | date:'long'}}" type="datetime" readonly=true
             class="form-control" id="formControlDate">
    </div>
    <div class="mb-3">
      <label for="formControlReviewDate" class="form-label">Request for review date</label>
      <input ngModel="{{editorReview.created | date:'long'}}" type="datetime" readonly=true
             class="form-control" id="formControlReviewDate">
    </div>

    <div [ngSwitch]="status">
      <ng-container *ngSwitchCase="Status.PUBLICATION_APPROVED">
        <button type="button" class="btn btn-primary me-3 mb-3" (click)="do(messageModal, cancel, 'Cancel the request for publication')">Cancel</button>
        <button type="button" class="btn btn-primary me-3 mb-3" (click)="do(messageModal, authorize, 'Authorize the publication')">Authorize</button>
      </ng-container>
      <ng-container *ngSwitchCase="Status.PUBLISHED">
      </ng-container>
      <ng-container *ngSwitchDefault>
        <button type="button" class="btn btn-primary me-3 mb-3" (click)="do(messageModal, cancel, 'Cancel the request for publication')">Cancel</button>
      </ng-container>
    </div>

    <ng-template #messageModal let-modal>
      <div class="modal-header">
        <h4 class="modal-title" id="message-modal-title">{{modalTitle}}</h4>
        <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
      </div>
      <div class="modal-body">
        <app-message-form [recipient]="editorReview.user" (value)="onMessage($event,modal)"></app-message-form>
      </div>
    </ng-template>

    <ngb-accordion #acc="ngbAccordion" [activeIds]="peerReviews.length ? 'ngb-panel-reviews' : 'ngb-panel-logs'">
      <ngb-panel id="ngb-panel-reviews" title="Peer Review reports">
        <ng-template ngbPanelContent>
          <div *ngIf="peerReviews.length" id="peerReviewReports">
            <span> <i>Please check this reports and correct your document accordingly then re-submit for publication</i></span>
            <div *ngFor="let peerReview of peerReviews">
              <a [href]="peerReview.report" class="form-control" id="formControlReport"
                 target="_blank">{{getFileName(peerReview.report)}}</a>
            </div>
          </div>
          <div *ngIf="!peerReviews?.length" id="peerReviewReports">
            <span class="text-warning">Not available yet</span>
          </div>
        </ng-template>
      </ngb-panel>
      <ngb-panel id="ngb-panel-logs" title="Editor Review logs">
        <ng-template ngbPanelContent>
          <app-review-log [object]="reviewLog" *ngFor="let reviewLog of editorReview.review_logs">
          </app-review-log>
        </ng-template>
      </ngb-panel>
    </ngb-accordion>
  </div>
</div>


